Skip to main content
GET
/
v3
/
vault
/
payment-tokens
/
{id}
Retrieve a payment token
curl --request GET \
  --url https://api-m.sandbox.paypal.com/v3/vault/payment-tokens/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "customer": {
    "id": "<string>",
    "merchant_customer_id": "<string>"
  },
  "payment_source": {
    "card": {
      "name": "<string>",
      "last_digits": "<string>",
      "expiry": "<string>",
      "billing_address": {
        "country_code": "<string>",
        "address_line_1": "<string>",
        "address_line_2": "<string>",
        "admin_area_2": "<string>",
        "admin_area_1": "<string>",
        "postal_code": "<string>",
        "id": "<string>"
      },
      "verification": {
        "network_transaction_id": "<string>",
        "date": "<string>",
        "time": "<string>",
        "amount": {
          "currency_code": "<string>",
          "value": "<string>"
        },
        "processor_response": {},
        "three_d_secure": "<unknown>"
      },
      "network_transaction_reference": {
        "id": "<string>",
        "date": "<string>",
        "time": "<string>"
      },
      "authentication_result": {
        "three_d_secure": {
          "authentication_id": "<string>"
        }
      },
      "bin_details": {
        "bin": "<string>",
        "issuing_bank": "<string>",
        "bin_country_code": "<string>",
        "products": [
          "<string>"
        ]
      },
      "network_token": "<unknown>"
    },
    "paypal": {
      "description": "<string>",
      "shipping": {
        "name": {
          "full_name": "<string>"
        },
        "phone_number": {
          "country_code": "<string>",
          "national_number": "<string>"
        },
        "address": {
          "country_code": "<string>",
          "address_line_1": "<string>",
          "address_line_2": "<string>",
          "admin_area_2": "<string>",
          "admin_area_1": "<string>",
          "postal_code": "<string>"
        }
      },
      "permit_multiple_payment_tokens": false,
      "email_address": "<string>",
      "payer_id": "<string>",
      "name": {
        "given_name": "<string>",
        "surname": "<string>"
      },
      "phone": {
        "phone_number": {
          "national_number": "<string>"
        }
      },
      "address": {
        "country_code": "<string>",
        "address_line_1": "<string>",
        "address_line_2": "<string>",
        "admin_area_2": "<string>",
        "admin_area_1": "<string>",
        "postal_code": "<string>"
      },
      "account_id": "<string>",
      "phone_number": {
        "country_code": "<string>",
        "national_number": "<string>",
        "extension_number": "<string>"
      }
    },
    "venmo": {
      "description": "<string>",
      "shipping": {
        "name": {
          "full_name": "<string>"
        },
        "phone_number": {
          "country_code": "<string>",
          "national_number": "<string>"
        },
        "address": {
          "country_code": "<string>",
          "address_line_1": "<string>",
          "address_line_2": "<string>",
          "admin_area_2": "<string>",
          "admin_area_1": "<string>",
          "postal_code": "<string>"
        }
      },
      "permit_multiple_payment_tokens": false,
      "email_address": "<string>",
      "payer_id": "<string>",
      "name": {
        "given_name": "<string>",
        "surname": "<string>"
      },
      "phone": {
        "phone_number": {
          "national_number": "<string>"
        }
      },
      "address": {
        "country_code": "<string>",
        "address_line_1": "<string>",
        "address_line_2": "<string>",
        "admin_area_2": "<string>",
        "admin_area_1": "<string>",
        "postal_code": "<string>"
      },
      "user_name": "<string>"
    },
    "apple_pay": {
      "card": {
        "name": "<string>",
        "last_digits": "<string>",
        "billing_address": {
          "country_code": "<string>",
          "address_line_1": "<string>",
          "address_line_2": "<string>",
          "admin_area_2": "<string>",
          "admin_area_1": "<string>",
          "postal_code": "<string>"
        }
      }
    }
  },
  "links": [
    {
      "href": "<string>",
      "rel": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Path Parameters

id
string
required

ID of the setup token.

Required string length: 7 - 36
Pattern: ^[0-9a-zA-Z_-]+$

Response

Successful execution.

Full representation of a saved payment token.

id
string

The PayPal-generated ID for the vault token.

Required string length: 1 - 36
Pattern: ^[0-9a-zA-Z_-]+$
customer
Customer Request · object

Customer in merchant's or partner's system of records.

payment_source
Payment token response payment source · object

The vaulted payment method details.

An array of related HATEOAS links.

Required array length: 1 - 32 elements